10.7.0
NEW
    - Added bag and bank slot spacing controls (X/Y) with shared icon size + spacing settings across Mainline, Classic, TBC and Mists
    - Delve Scenario header now displays the remaining Nemesis enemies.

CHANGES
    - Updated bag and bank frame sizing to keep consistent right-side padding independent from slot spacing
    - Improved Scenario tracker update handling: multiple rapid event triggers are now merged into a single layout refresh per frame to prevent duplicate updates and reduce UI jitter
    - Improved Quest tracker update handling: UpdateLayout and PartialUpdate are now queued and merged per frame to avoid duplicate refreshes and reduce UI jitter
    - Improved objective notification text formatting: progress values like 2/12 are now kept visible for world and bonus objectives
    - Improved objective notification visuals: smoother icon/progress transitions plus hover blend feedback for clearer focus
    - Added a Retail-only "Private Auras" toggle for grid debuffs in raid layouts (including maintank and party grid)
    - Updated bag and bank settings (Mainline/Classic/TBC/Mists): replaced Compact Icons toggle with a shared icon-size slider and centralized bag item size normalization/configuration

FIXES
    - Fixed a chat formatting error that could trigger "invalid option in `format`" when messages contained percent signs (%)

10.6.2
FIXES
    - Temporarily disabled Grid aura timers

10.6.1
FIXES
    - Removed scenario debug print output
    - Fixed Unit Frame Lua error for non-player classes

CHANGES
    - Updated scenario handling to use the current API flow

10.6.0
NEW
    - Added class power anchor modes: Default, Center, Left and Right
    - Added class power settings: anchor X offset, anchor Y offset and custom resource bar gap
    - Added custom resource bar side option: Auto, Left, Right
    - Added minimap setting to always show the AddOn flyout button
    - Added minimap behavior to show a single AddOn button directly when flyout is not forced
    - Added setting to animate micro menu notification icons

CHANGES
    - Added EN/DE localization and descriptions for the new class power settings
    - Refactored class power anchor handling to use shared helpers
    - Improved class power sub-frame alignment for non-default anchors
    - Improved Demon Hunter and Brewmaster defaultResourceBar anchoring
    - Improved overlap handling for custom resource bars in CENTER mode
    - Improved Warlock shard and shardFragment anchoring with side settings
    - Mail skin layout now switches between compact and expanded widths based on visible right pane content
    - Refactored mail compose/open handlers and cleanup helpers to reduce duplicated UI logic
    - Moved "Sell junk automatically" from bag-specific menus to General settings near Auto Repair
    - Centralized auto-sell junk initialization to run SetupVendorJunk once globally
    - Improved Settings Overview Credits layout with section icons and two-column names
    - Improved Settings Overview changelog scroll growth behavior with smooth post-drag animation

FIXES
    - Fixed mail inbox bottom button vertical alignment
    - Fixed mail open view scroll area sizing and scrollbar spacing
    - Fixed mail separator visibility and sizing in compact/expanded modes
    - Fixed tooltip taint from comparing secret class text values (classLine:GetText)
    - Fixed scenario event timer showing in excluded zones (for example Stormarion Assault area)

10.5.1
FIXES
    - Buggrabber integration

10.5.0
NEW
    - Added Midnight event tracker to worldmap
    - Added option to show spell icons to the floating combat text (classic)

CHANGES
    - Hide druid mana in none related forms and specs (Retail)

FIXES
    - Fix GMOTD taint

10.4.1
FIXES
    - Loading issue on none retail clients

10.4.0
NEW
    - Added aura indicator back to retail, only for whitelisted spells
    - Damage Meter skin (retail)

CHANGES
    - Tooltips updates

FIXES
    - Class color issue on grids

10.3.2
FIXES
    - Retail aura error

10.3.1
FIXES
    - Some chat issues
    - Coloring issues
    - Experiencebar repuration tracking
    - Objectives tracker error

10.3.0
NEW
    - Add option to change unitframe healtbar texture
    - Add option ot add Healtglobe spacing to not manage actionsbars (Retail)
    - Added own chat command history

CHANGES
    - Tooltips updates
    - Color handling refactor
    - Update TBC advanced stats

FIXES
    - Grid buff handling on none retail clients
    - More bug fixes

10.2.2
FIXES
    - Fix lua error with housing
    - Fix CD Manager Skin, which can cause that the CD Manager was disapearing
    - Fix worldmap skin

10.2.1
FIXES
    - More chat secrets
    - Grid color error
    - Equipment manager item level
    - Vehicle leave button on TBC
    - Missing widgets on TBC and Mists
    - PvP UI fixes

CHANGES
    - Grid buffs can be disabled (retail)

10.2.0
NEW
    - Added all new aura filter options to grids (retail)
    - Added party pet grid
    - Added new aura filter options to target unitframe

FIXES
    - More secrets with 12.0.1

10.1.0
NEW
    - Added bar size settings to: Targetframe, Target of targetframe, Focusframe, Target of focusframe and playerframe
    - Added option to change chatbubble size
    - Added option to toggle the dodgebar
    - Added option to toggle the skyridingbar
    - Added option to anchor the classpower bar to center to have them alligned when using profile on different characters
    - Added option to show keybinds only on used slots
    - Added option for a rectangle minimap (Read the setting notes)

CHANGES
    - Gear manager: Gears can now be draged to the actionbars
    - Dodgebar, skyridingbar and player ressourcebars now fades with player frame

FIXES
    - Some more secrets (retail)
    - Grid range fader is working again
    - Raidmarkers are now showing correclty
    - Many more fixes


10.0.5
FIXES
    - Gamemenu skin on TBC
    - Aura tooltip works again
    - Chatframe secret value
    - Forbidden tooltips
    - Socal frame lua error
    - Frame fader fixes
    - Raid target fix

10.0.4
CHANGES
    - Added grid aura filter options for retail, that are all blizzard allows at the moment

FIXES
    - Totembar error on none Retail clients
    - Grid backgorund on none Retail clients

10.0.2
FIXES
    - Tooltip error on TBC

10.0.2
FIXES
    - Tooltip error on TBC

10.0.1
FIXES
    - Tooltip error on TBC

10.0.0
    - Midnight support

9.1.0
NEW
    - Social frame for TBC

FIXES
    - Chat frame fixes (TBC)
    - Questlog skin fixes (TBC)
    - Hide Keyring if actionbar not enabled (TBC & Era)
    - Fix minimap left click lua error (TBC)
    - Fix spellbook and talents not clickable (TBC)
    - Fix totembar lua error (TBC)
    - Update spellbook (TBC)
    - Fix objectives tracker actionbutton (TBC)
    - Fix customs classcolor on none retail clients
    - Fix merchant skin (TBC)
    - Fix missing auto repair text (TBC)
    - Fix not cancable player auras (TBC)

9.0.2
FIXES
    - Added missing raid debuffs for TBC
    - Added many TBC checks
    - Fix tooltip (TBC)
    - Fix gossip skin (TBC)
    - Added missing minimap tracking (TBC)

9.0.1
FIXES
    - Pet happines is now active on TBC
    - Questlog skin updates for TBC
    - Update Honor Tab for TBC
    - Many actionbar fixes for TBC
    - Disable some objectives tracker modules which are not supported in TBC, like Boss frames
    - Fix micromenu lua error
    - Fix chatframe lua error
    - Added missing consts for TBC
    - Fix shaman classpowe error on TBC

9.0.0
NEW
    - TBC support

8.6.2
FIXES
    - Used wrong setting for worldmap scale for era

8.6.1
FIXES
    - Worldmap position and scale is not saved (era)
    - FCT default style uses now a fallback from on nameplate anchor

CHANGES
    - XP bar rework

8.6.0
NEW
    - Add option to invert multi actionbars, to follow the blizzard layout

FIXES
    - Chatframe fixes

8.5.3
CHANGES
    - Add housing micro button

FIXES
    - Many chat related fixes
    - Socket skin error (Mists)

8.5.2
CHANGES
    - Updates for 11.2.7

8.5.1
CHANGES
    - Talent switch works again (Mists)

8.5.0
NEW
    - Added Recent Alliens tab to social panel (retail)
    - Add CD Manager skin (retail)

FIXES
    - Fix character stats lus error (mists)
    - Fix druid mana bar in bear form

8.4.6
FIXES
    - Fix era honor lua error

8.4.5
FIXES
    - Fix spellbook lua error (era)

8.4.4
FIXES
    - Remove not needed and outdated libs

8.4.3
FIXES
    - Fix talent tooltip (era)
    - Fix rare hunter pet name error (era & mists)
    - Fix objectives tracker (mists)

8.4.2
FIXES
    - 1.15.8 fixes

8.4.1
FIXES
    - Bag lua error (Era)
    - Fix PetTracker lua error (Retail)

8.4.0
NEW
    - Added option to disable micromenu module
    - Added monk stagger value to classpower bar

FIXES
    - Fix Questie Map Coords error (Era & Mists)
    - Fix classpower 'Only show in combat' option when leaving a vehicle

CHANGES
    - Refactor seperate bag option
    - TOC update (Mists)

8.3.5
FIXES
    - Fix settings dependecies tooltip
    - Fix reset profile option
    - Fix Paladin classpower

CHANGES
    - Add missing auctionator frame skin
    - Update classpower aura handling, this should be a performace boost, if your class has a classpower based on a de/buff

8.3.4
FIXES
    - Player powerbar is now correctly hidden in specific situations
    - Fixed Lua error for fresh characters
    - Fixed Game Menu skin issue when using ConsolePort
    - Fixed fading issue with player pet frame icon
    - Fixed Lua error in Who-list
    - Fixed Lua error when opening the settings menu
    - Fixed Lua error in immersive questing when required money is missing (Era & Mists)


8.3.3
FIXES
    - Fix wrong classpower color for warlocks (Mists)
    - Fix settings lua error is UI Scale is used

8.3.2
FIXES
    - Fix micromenu issue with consoleport addon

8.3.1
CHANGES
    - Settingsframe rework, addons can now hook into it

FIXES
    - Fix TSM Loading issue
    - Fix DB migration for old profiles
    - Fix druid bear hud background
    - Fix quest item not clickable (retail)
    - Fix quest item texture too big (era)
    - Fix druid eclipsebar (mists)

8.3.0
CHANGES
    - 11.2.0 support

8.2.8
FIXES
    - Fix absorb bar toggle

CHANGES
    - Enable absorb bar toggle on Mists and Retail clients

8.2.7
FIXES
    - Fix hunter classpower
    - Fix micro stuttering while leaving combat (retail)

8.2.6
FIXES
    - Migration lua error for new users
    - GW2 Layout creation if max Account Layouts are reached (retail)
    - Fix micromenu moving (mists)
    - Copy chat / emote button not clickable (mists & era)

8.2.5
FIXES
    - Fix quest sorting (era & mists)
    - Fix reputation text (retail)
    - Fix classpower
    - Fix objectives tracker quest item (era)

8.2.4
FIXES
    - Fix warbank itemlevel (retail)
    - Hide multibars during pet battle (mists)
    - Fix target health % values
    - Fix combopoints on target
    - Fix minimap instance difficult indicator (retail)
    - Fix actionbar coloring (mists)
    - Fix title filter error (retail)

8.2.3
FIXES
    - Loading error

CHANGES
    - Add more options to player de/buff settings

8.2.2
FIXES
    - Bagnator skin error (Mists)
    - Objectives tracker actionbutton error (Era)

8.2.1
FIXES
    - Arena frame lua error (Mists)

8.2.0
NEW
    - Add option to hide absorb bar on all unitframes

8.1.9
FIXES
    - Scenario error (retail)
    - Bag sorting (Mists & Era)

8.1.8
FIXES
    - Bag opening lag
    - Wrong tooltip faction (Retail)
    - Friendstooltip show correct game now
    - Spellbook tweaks (Mists)

8.1.7
FIXES
    - Shadow prist orbs (mists)
    - DK runes (mists)
    - Unitframe absorb amounts (mists)

8.1.6
FIXES
    - New round of Mists fixes

8.1.5
CHANGES
    - Added temp chi bg texture

8.1.4
FIXES
    - Next round of Mists fixes

8.1.3
FIXES
    - Fix issue with 8.1.2

8.1.2
FIXES
    - More Mists adjustments

8.1.1
FIXES
    - More Mists adjustments

8.1.0
NEW
    - Mists support

8.0.7
FIXES
    - Fix collection tracking collapse (retail)

8.0.6
FIXES
    - Some more fixes for all versions

8.0.5
FIXES
    - Fix target level color (era & cata)
    - Fix unit level at tooltip (era)
    - Fix aura tooltip (era & cata)
    - Fix mirror timer (era & cata)
    - Fix objectives tooltip (era & cata)
    - Fix copying profiles

8.0.4
FIXES
    - Fix microbar moving (cata)
    - Readd spellbook and talent setting (cata)
    - Fix skyridingbar (retail)

8.0.3
FIXES
    - Fix eclips bar on era
    - Fix micromenu moving on era and cata

8.0.2
FIXES
    - Combopoint error for era and cata

8.0.1
NEW
    - Merged Retail, Era and Cata version

7.15.0
NEW
    - Added more option to unitframe fader
    - Added option to extend player powerbar hight (player unitframe)

FIXES
    - Fix Pawn integration

CHANGES
    - Add required settings to settings tooltip

7.14.1
FIXES
    - Fix settings lua error

7.14.0
NEW
    - Added unitframe fader options to all unitframes

FIXES
    - Raidlock error
    - Fix buff reminder
    - Fix pawn integration

7.13.2
FIXES
    - Fix issue with 7.13.1

7.13.1
FIXES
    - Hero panel opens for enchants
    - Weapon enchants should now show correclty
    - Fix Pawn integration
    - Raid lock lua error

CHANGES
    - Redo reputation frame, should load and react faster
    - Add radio button texture
    - Added Nightfall to objectives tracker
    - Update some skins
    - Added 3 new widget mover to move hud mode
    - Added some animations

7.13.0
NEW
    - Cooldown Manager skin
    - Add paragon indicator to reputation category list

FIXES
    - PetTracker integration now work as expected
    - WQT integration now work as expected
    - Error when entering delves

CHANGES
    - Rewritten objectives tracker, should perform much better now
    - Better CLEU handling with sharing over the addon
    - Much more optimization over all modules of the addon


7.12.1
CHANGES
    - Skin Tweaks

FIXES
    - Fix profile lua error
    - Fix FCT lua error
    - Castbar channel ticks
    - Target frame debuff settings are working again

7.12.0
CHANGES
    - Update for 11.1.0



7.11.1
FIXES
    - Fix actionbar taint

7.11.0
NEW
    - Added option to hide target item level display
    - Added option to show Singing Socket gems

CHANGES
    - Update auctionator skin

FIXES
    - Repuration error
    - Notification tooltip
    - Fix inverted statusbar
    - Party frame auras can stuck sometimes


7.10.0
NEW
    - Added Talking Head Scaler
    - Target/Focus frame bars no inverted in inverted mode

CHANGES
    - Optimize aura handling for all unitframes
    - Optimize Healthbar and Powerbar handling

FIXES
    - Fix PetTracker loading

7.9.3
CHANGES
    - Remove CUSTOM_CLASS_COLOR support and cahnge it to GW2 Class colors
    - Add option to set number format

7.9.2
CHANGES
    - TRP3 chat support

7.9.1
CHANGES
    - TRP3 chat support

7.9.0
NEW
    - Added grid out of range alpha value setting
    - Added custom class color support

CHANGES
    - Update more dropdowns
    - Use local number delimiter
    - 11.0.7 changes

FIXES
    - Fix PetTracker integration
    - Fix Blizzard mirror timer not shown
    - Setting search works again


7.8.0
NEW
    - Add option to hook profiles to a spec. This will switch the profile on spec switch
    - Add todoloo support for GW2 Objectives tracker
    - Add searchbox for player titles
    - Add slash command to clear tracked but already earned achievements (blizzard bug): /gw2 clear achievements
    - Add option to change profile icons
    - Add TRP3 support for GW2 chatbubbles

CHANGES
    - Added fraction icons to the guild datatext
    - Change all dropdown elements to new blizzard ui system
    - Allow max 4 watched tokens with gw2 bags enabled

FIXES
    - Objectives tracker bonus step names
    - Achievement skin scroll height
    - Grid aura indicators now only shows player auras
    - Fix dodgebar for some classes
    - Fix objectives tracker loading order

7.7.2
FIXES
    - Guild data info lua error

CHANGES
    - Skin updates
    - Guild data info text
    - Stackcount setting

7.7.1
CHANGES
    - Add Dracthyr fraction to tooltip
    - Add stackcount to tooltip
    - Changes for 11.0.5

7.7.0
NEW
    - Option to copy a single chat line
    - Option to show chat history
    - Option to show channel ticks on castbar
    - Option to control the grid name update frequence to save some fps
    - Add mastery buff to raid buff reminder

FIXES
    - Jailers tower error
    - Social frame lua error
    - M+ timerbar offset
    - Player castbar sometimes stuck on screen

CHANGES
    - Update some skins
    - Add warband reputation indicator

7.6.0
NEW
    - Add option to shorten healtglobe shield values
    - Add option to hide player frame at party grid
    - Add option to hide class icons at grids, if no class color is used

FIXES
    - Fix drawn layer of lfg accept button
    - Fix BigWigs integration

CHANGES
    - Add Monk hero talent to dodgebar
    - Update some skins
    - Added theater event timer bar to objectives tracker

7.5.0
NEW
    - Add option to shorten values, like health values or damage text

FIXES
    - Fix new font settings
    - fix LSM with new fonts

7.4.0
NEW
    - New Font system
        - You can now select between multiple different font styles (to select the font like before this update, use 'GW2 Legacy')
        - You can select your own fonts for texts and header texts
        - You can adjust the font size for: Big Headers, Header, Normal and Small texts
    - Tooltips gets font size option for all 3 types
    - Added TWW events to the event tracker
    - Added auction house skin
    - Added fx animation to the dynamic hud (not all classes yet)
    - Added remaning live to delve tracker
    - Find an small easter agg with the GW2 settings splash screen

FIXES
    - Fix barber shop skin

CHANGES
    - Add DK hero talent to dodgebar
    - Update some textures
    - Update some skins

7.3.0
NEW
    - Delves support for objectives tracker
    - Added group progress to objectives tooltip

FIXES
    - Objectives tracker auto turn in quests
    - Totem tracker should work again

CHANGES
    - Update some skins

7.2.0
NEW
    - Talent frame skin
    - Tooltip Item Count now has options Include Reagents and Include Warband
    - Keybind support for immersive questing
    - Keybind support for gossip skin
    - Stancebar can now be disabled
    - DK runes now get sorted based on there progress
    - Add timer to tracked achievements
    - New immersive questing backgrounds for TWW

CHANGES
    - Chat frame alert color is now saved per character
    - Update some skins
    - Update imported debuffs

FIXES
    - EJ skin error
    - Raid frame ignored auras works again
    - Fix GW2_Layout creation process

7.1.0
NEW
    - Added option to skin blizzards default actionbars
        - That function disabled our manged actionbars and there hooked features
    - Adventuremap skin

FIXES
    - Objectives tracker actionbutton works again
    - Error handler shows only GW2 errors
    - M+ progess counter should show correect % again (raw value is not possible atm)
    - Fix minimap lua error

CHANGES
    - Added TRP3 tooltips support
    - Immersive Question changes and improvements

7.0.2
CHANGES
    - Added self reading animation to immersive questing

FIXES
    - Fix error handler
    - Fix objective tracker action button handling
    - Fix event objectives click functions
    - Fix currency transfer taint error
    - Fix ouf range indicator

7.0.1
FIXES
    - First round of fixes

7.0.0
CHANGES
    - Update for TWW

6.14.10
FIXES
    - Show character item info now works correctly

CHANGES
    - Export some api

6.14.9
CHANGES
    - Export some api

6.14.8
CHANGES
    - Update toc

6.14.7
CHANGES
    - Prepare for 10.2.7

6.14.6
FIXES
    - Fix GW2 slash commands
    - Fix merchant frame next/prev page button position
    - Fix lua error if our minimap is disabled
    - Fix character itemlevel was not shown

6.14.5
FIXES
    - Party frame visibility

6.14.4
FIXES
    - Tooltip M+ lua error

6.14.3
FIXES
    - Party visibility

6.14.2
CHANGES
    - Update for 10.2.6

6.14.1
FIXES
    - Fix details profile
    - Fix player debuff show wrong icon texture
    - Fix gossip skin text height
    - Fix small unitframe height
    - Fix ToT mover
    - Fix playerframe level up icon
    - Fix objectiv tracker hover not showing all details
    - Fix creating new profile

CHANGES
    - Update merchant skin
    - Change castbar mover frame beased on details option
    - Added Masque actionbutton skin

6.14.0
NEW
    - Added Big Dig event timer
    - Added option to change pulltimer seconds

FIXES
    - Raidframes name overlapping
    - Chat install process
    - Alt player background setting
    - Colorpicker error

6.13.3
FIXES
    - Remove print statement

6.13.2
FIXES
    - Fix profile page error
    - Fix db migration error
    - Handle evoker soar correct

6.13.1
FIXES
    - Fix error a profile rename

6.13.0
NEW
    - Switch to a new database format to better handle profiles. That requires a reload after the first login on each character.
    - Added right click function to the minimaps expansion icon to show also the landing pages from previous addons
    - Added animated statusbars to the pet frame
    - Added copy/paste function to colorpicker
    - Added option to disable objectives statusbars to have a more compact objectives tracker

FIXES
    - Fix stancebar error. You can now use the button in combat again
    - Fix worldmap event tracker container size
    - Fix tank frame middle icon
    - Fix auraindicators updating
    - GW2 setting window is now moveable

MISC
    - Some more settings does not requires a reload

6.12.0
NEW
    - Added new paladin classpower texture and animation
    - Added new arms warrior classpower
    - Update GW2 boss frames, they are now unitframes
    - Added options to toggle grid rol icons, tank icons and leader icons

FIXES
    - Fix PP mode get saved correctly
    - Fix move HUD grid
    - Fix immersive Questing taint issue
    - Fix arena frame lua errors
    - Fix classpower error in combat

MISC
    - Adjust grid out of range alpha value
    - Update grid to work again with OmniCD

6.11.1
FIXES
    - Correct LEMO integration which was causing an lua error during installation process
    - Tweak Event Timer height

6.11.0
NEW
    - Redo all grids: Party, Raid, Raid Pet
    - Grids are now secure and can update during combat
    - Added new grids:
        - Maintank
        - Raid 10
        - Raid 25
        - Raid 40
    - Raid grids switch automaticly between the 3 raid grids, based on the number of players at the raid
    - Added new grouping and sorting settings to all grids:
        - Group by: Role, Class, Group, Name, Index
        - Sort direction
        - Sortmethode: Name, Index
        - Raidwaid sorting: If disabled the grouping and sorting settings are applyed per raid group
    - All grids have there individual settings (Raid 10, Raid 25, Raid 40, Maintank, Raid Pet, Group)
    - Added Superbloom event timer to worldmap
    - Added options to change the worldmap coordinats lable
    - Added option to hide classpower bar outside of combat

FIXES
    - Fix ready check skin
    - Fix blurr on raid warning font
    - Fix Pet Tracker and WQT Anchor points
    - Fix travler log header stucking after tracking activity is completed
    - Fix some taints

MISC
    - Update for 10.2.0
    - Update RAF skin
    - Update Time Manager skin
    - Added back right click option on bags
    - Added S3 raid debuffs
    - Adjust damage text animations
    - Update TaintLess

6.10.1
FIXES
 - 10.1.7 fixes

6.10.0
NEW
 - Added evoker ebon might bar

6.9.2
FIXES
    - Fix an actionbars issue which can crash the client

6.9.1
FIXES
    - More 10.1.5 related fixes

6.9.0
NEW
    - Added font settings for GW2 floating combat text
MISC
    - Update for 10.1.5

6.8.2
FIXES
    - Fix druid little manabar in cat form with player frame in target frame style
    - Try to handle bags correctly for accounts with not 2FA

6.8.1
FIXES
    - Fix buff/debuff auto anchor
    - Fix buff/debuff max wraps setting
    - Fix socket skin lua error
    - Fix Pet Tracker integration

CHANGES
    - Added LibUIDropDownMenu to prevent drop down taints
    - Added Diablo 4 to friends data info
    - Update LibEditModeOverride

6.8.0
NEW
    - Added option to adjust player de/buff horizontal and vertical spacing
    - Added option to adjust player de/buff max wrap of lines
    - Added support for the add PetTracker: Now included at GW2 objectives
    - Added evoker bleeding support

FIXES
    - Avoid possible tooltip taint
    - Fix casting bar lua error at pvp with an evoker
    - Fix rare migration process issue
    - Fix M+ dungeon icon border color at the lfg frame

CHANGES
    - Tweak some hover textures
    - Cooldown round numbers are more accurate now

6.7.3
FIXES
    - Fix friends frame lua error
    - Fix encounterjornal taint issue

6.7.2
FIXES
    - Fix player frame in target frame style
    - Fix immersive questing error
    - Fix healtglobe error


6.7.1
FIXES
    - Fix hero panel anchor error
    - Fix party frame healthtext error
    - Fix hero panel item info error
    - Fix target castingbar texture
    - Fix pet grid error

CHANGES
    - Handle addon compartment button and add a toggle to hide that button

6.7.0
NEW
    - dded private aura support
    - Redo the statusbars and add custom animations to the classpower and ressource bars

FIXES
    - Added passive talents back to spellbook
    - Tweak vignett alerts to not spam
    - Fix talent micro button taint error
    - Fix bank taint issue
    - ix vigor bar hidding

CHANGES
    - Update for 10.1
    - Make achievement frame movable
    - Update S2 debuffs

6.6.1
FIXES
    - Fix rare lua error during open the worldmap with active worldmap skin
    - Fix issue were is was impossible to buy bank slots
    - Fix macro and gear manager icon selection

CHANGES
    - Added tooltips to equipment selection mode
    - GW2 achievement frame skin is now compatible with 'Krowi's Achievement Filter' (requires version 55.0 and higher)

6.6.0
NEW
    - Added 2 new damage text styles: Stacking and Classic (with anchor to nameplats or center of the screen)
    - Added option to show healing numbers for these 2 new styles (classic only with anchor to the center of the screen)

FIXES
    - Fix move hud error if the frames gets moved back to it default position
    - Fix raid frame summon and resurrection icon
    - Fix friends data info tooltip
    - Fix worldmap drop-down position
    - Fix objectives tracker group finder icon

CHANGES
    - Changes for 10.0.7
    - Update spell flyout skin

6.5.1
FIXES
    - Fixed memory leak cause by channeling spells

6.5.0
NEW
    - Added option to add a new micromenu icon to show event timers at the tooltip

FIXES
    - Fix copy chat corloring
    - Hopefully fix ui flickering

CHANGES
    - Show micromenu notification also if the micromenu is fade out

6.4.1
FIXES
    - Create the GW2_Layout only if it does not exist
    - Fix an issue where the default target of target/focus frame is not visible if our target/focus module is turned off

6.4.0
NEW
    - Added Trade Post skin

CHANGES
    - Restructur settings, to make some settings easier to find


FIXES
    - Talent micro button tooltip is hidding corret now
    - Correct monthly activity tracker issues
    - Correct recipe tracking issues
    - Performance improvements

6.3.1
NEW
    - Added workorder indicator to micromenu

CHANGES
    - Move "new mail" indicator to micromenu

FIXES
    - Performance improvements

6.2.2
FIXES
    - Fixes for 10.0.5


6.2.1
FIXES
    - Fix ElvUI micro menu error
    - Fix ElvUI actionbar lua error if our actionbars are disabled
    - Fix ElvUI battle.net frame error if both module are enabled

6.2.0
NEW
    - Added Hud background for dragonriding
    - Added Vigor to dodge bar
    - Added new achievement skin
    - Added new gossip skin
    - Added fish nets timers to world map
    - Added cooking event timer to scenario tracker
    - Added option to show enchants and gems on gw2 character panel
    - Added option to flash taskbar on world event reminder
    - Added group info to premade group list and group tooltips

CHANGES
    - Update chat bubbles
    - Update Move HUD textures
    - Add filters to Move HUD mode
    - Added char counter to chat editbox
    - The info block in Mythic+ dungeons now shows more precise progress information

FIXES
    - Fix ElvUI micro menu backdrop
    - Fix Details settings page not opens
    - Fix wrong data in fps tooltip
    - Fix TomTom mini map icons moves into the addon button container
    - Fix compass ignoring settings

6.1.1
CHANGES
    - Update Talent Micro Button tooltip
    - Aura Indicator updates:
        - Evoker: Added Dream Breath (echo), Reversion (echo), Life Bind

FIXES
    - Fix game freezes with scenario tracker
    - Fix actionbar taint on spec switch
    - Fix HUD background setting
    - Fix HUD border setting
    - Fix tooltip hide in combat setting
    - Fix tooltip healthbar setting

6.1.0
NEW
    - Added brand new settings page
    - Added Community Feast and Siege On Dragonbane Keep timer to worldmap
    - Added option to set currencys to unused
    - Added option to collaps all tracker in Mythic+
    - Added evoker buff to raid buff reminder

CHANGES
    - Aura Indicator updates:
        - Resto Druid: Added Tranquility, addedAdaptive Swarm
        - Priest: Added Power Infusion
        - Holy Pally: Adds Barrier of Faith.
    - Update Raid Debuff Filter and cleanded up Mythic+ Affixes
    - Update some raid buff reminder spells
    - Social panel skin has been fixed has been readded

FIXES
    - Fix auto sell taint error
    - Temp fix for extra actionbutton taint
    - Memory and performance improvements


6.0.10
 FIXES
     - Error on start

6.0.9
 FIXES
     - Readd mirrortimers

6.0.8
FIXES
    - Fix for memory leak

6.0.7
FIXES
    - Error on start

6.0.6
FIXES
    - Bank issues
    - Error on start

6.0.5
FIXES
    - Minimap lua error
    - Bag taint

6.0.4
FIXES
    - Fix some more taint issues

6.0.3
FIXES
    - Wrong GW2 moverframe value

6.0.2
FIXES
    - Set actionbar 1 to always have 12 buttons
    - Actionbar taint on shapshift forms

6.0.1
FIXES
    - Fix lua error on login

6.0.0
    - Update for 10.0.2

5.31.7
FIXES
    - Fix a classpower anchor issue if the classpower is moved

5.31.6
FIXES
    - Fix a bug in move hud mode which sets a wrong paramter if a frame was moved
    - Adjust classpower bars to fit with the mover
    - Fix ember court memory leak

5.31.5
FIXES
    - Player castingbar issue

5.31.4
FIXES
    - Do not delete profile names on profile resets

5.31.3
FIXES
    - Do not delete profile names on profile resets

MISC
    - Profile frame tweaks
    - Inspection frame tweaks

5.31.2
FIXES
    It could happen, that some frames after 2 or more reloads automaticly moves one pixel out of there default position.
    That causes that eg. the automaticly player buff/debuff positions was not changed if the right actionbar was set to show on hower.

    To fix this: Open the Move HUD mode and reset the effected frames to there default position (right click the mover and click on Reset).
    After that do a /reload

5.31.1
FIXES
    - Fix wrong position of inverted target frame background

5.31.0
NEW
    - Added 'Layouts':
        - You can now create, save and edit differente movable frame layouts and assing them to a spec.
        - This layouts will be automaticly activated by a spec switch
        Notes: The current profile layout will be saved as a new layout and works always a default, if no spec layout was found
    - Added an option to change the position of the tooltip healtbar: Bottom, Top, Disable
    - Added new backgrounds for the immersive questing module

FIXES
    - Fix some bugs related to the immersive questing module

MISC
    - Redo the GW2 profile page and allow unlimited profiles
    - Some tweaks to the immersive questing module

5.30.2
FIXES
    - Fix a extended vendor issue

5.30.1
FIXES
    - Fix a profile lua error

5.30.0
NEW
    - Extended Vendor (default disabled)

FIXES
    - Fix a profile lua error

5.29.0
NEW
    - Added alert notification system
FIXES
    - Fix some rare lua errors

5.28.2
FIXES
    - Fix an error if pet grid is enabled

5.28.1
FIXES
    - Fix an error if no timestamp format is set

5.28.0
NEW
    - Added a toggle for target, target target, focus and focus target castbar
    - Added option to show a separate energy bar for some bosses like Anduin at the objectives boss frames
    - Added 2 Details skin (by SHOODOX)
    - Added GW2 style worldmap and minimap player pin
    - Added option to set a timer to auto scroll down the chat
    - Added option to set the number of chat messages which are scrolled with one scroll
    - Added an option to hide placeholder in move hud mode
    - Added ooption to hide tooltips ins combat and a override setting
    - Minimap can now be sized by a slider
    - New icons for chat buttons
    - New lfg animation

FIXES
    - Fix issue with target debuff spacing in some situations
    - Fix a wrong total reputation callculation per expansion
    - Hide voicetab correctly


5.27.1
FIXES
    - You can now apply glyphs again
    - Fix a lua error while rename an equipment set

5.27.0
NEW
    - Added option to disable player new de/buff animation

FIXES
    - Some chat issues on russian clients
    - Possible actionbar lua error
    - Possible torghast fix

5.26.0
NEW
    - Make "PowerBarContainer" movable
    - Added individual bar width settings for multibar right 1 and 2

FIXES
    - Fix an issue with the multibar right 1 & 2 mover
    - Fix a chat issue on ruRU clients
    - Fix a lua error with barber skin

5.25.0
NEW
    - Update for 9.2.0
    - Split Inventory Skin and Loot Window Skin
    - Added indicator for unused talent points
    - Added new option 'XP Quest Percent', which shows how much % that quest gives you in relation to the total xp needed for next level
    - Added new option 'Mark Quest Reward', which marks the most valuable quest reward item

5.24.2
FIXES
    - Fix rare player aura issue

5.24.1
FIXES
    - Fix player frame background overlay

5.24.0
NEW
    - Added option for alternative target/focus background texture

MISC
    - Tweak character talent frame

5.23.0
NEW
    - Skins:
        - LFG
        - Allied Races
        - Weekly Rewards
        - Chromie Time
    - Added option to change tooltip font size
    - Added option to show "SpellQueueWindow" on castbar

FIXES
    - Fix some cooldown issues for extra action buttons
    - Show correct buffs in vehicle UI
    - Some actionbar hotkey issues

5.22.1
FIXES
    - Fix cooldown lua error

5.22.0
NEW
    - Added option to set mainbar and multibar button spacing
    - Added System datainfo to minimap fps text
FIXES
    - Some tooltip issues


5.21.1
FIXES
    - Tooltip statusbar color

5.21.0
NEW
    - Added text option to tooltip healthbar

FIXES
    - Fix some tooltip issues
    - Aura tooltips are now updating correctly to show remaning time
    - Fix item upgrade skin


5.20.1
FIXES
    - 9.1.5 tooltip issue

5.20.0
NEW
    - Added raid pet grid
    - Added option to fade main actionbar

FIXES
    - Raid buff indicators should now show as expected
    - Fix charged combo points

5.19.2
FIXES
    - Minimap button issue

MISC
    - Update locals

5.19.1
FIXES
    - Ember court issue
    - Garrision minimap icon tweaks

5.19.0
NEW
    - Added 'Smart' Raid Markers: Use a defined key (via keybinds) to open the smart raid marker menu.
        This opens a circle with all raid markers directly under your cursor
    - Added a prio for scaling important and dispellable debuffs

MISC
    - Redo raid and party grid profiling

5.18.0
NEW
    - Added Encounter Journal, Soulbinds and Convenant Sanctum Skin
    - Added 'Friends' tooltip to character micro menu button
FIXES
    - Raid frame sort by role

5.17.2
FIXES
    - Missing raid buff pet battle overlapping
    - Raid frame sort by role

MISC
    - Added OmniCD support

5.17.1
FIXES
    - Tweak raid/party profiles and fix some bugs
    - You can now change raid/party profile settings while in a party/raid

MISC
    - Added option to show chat timestamps for all messages
    - Added ability to add a custom sound for chat keyword alert

5.17.0
NEW
    - CHAT:
        Added lots of new settings to the chat module
            - Detacting URL Links and make them clickable
            - A Keyword System, which marks your keywords in the chat and plays a sound
            - Classcoloring char names
            - Short Channel names
            - Emoticon's
            - Show role icons before the names (if you are in a raid or party)
            - Spam Intervall: Hides the same messages in a given time
            - Combat Repeate: Close the chat editbox if you type in the same char for a given number while in combat
            - Link Hovering: Shows the tooltip of eg a Achivment while hovering
            - Quick Join Messages: Show clickable Quick Join messages inside of the chat
    - Added a new "Role Bar" which shows your group or raid's role composition
    - Added a new "Missing Raud Buff Bar" which shows you your missing raind buffs. You can also track one custom buff
    - Added tooltipt to the "Important Debuff" Dropdown
    - Added Season 2 "Important Debuffs"
    - Merchant skin
    - Added grid layouts for raid and party
    - Added option to set a scale value for important dungeon and raid debuffs
    - Added option to set a scale value for dispellable debuffs
    - Added option "Show both party frames and party grid"
    - Added option to show M+ keystone info in tooltip

FIXES
    - Display Animapower frame in M+ and raids correctly
    - Fix a lua error in Torghast
    - Small layout fixes

5.16.4
FIXES
    - Social tab fixes

5.16.3
FIXES
    - Gossip skin issue
    - Smaller fixes

5.16.2
FIXES
    - Gossip skin issue
    - Issue with bag bars
    - Some Torghast issues

5.16.1
FIXES
    - Torghast tracker fixes

5.16.0
NEW
    - Added social module
    - Added option to show a additional ressourcebar with player as target frame
    - Added option to show party Partyframes
    - Added option to show pets portrait damage
    - Added option to show pet auras below the frame
    - Added option to show M+ score at unit tooltips (Based on Blizzards new score API)
    - Added preview mode for party and raidframes

FIXES
    - Redo raid frame aura icon tooltip: New option to set when the aura get a tooltip on mouse over or is click through (no tooltip = click through)
    - Healtglobe now works with mouseover addons

MISC
    - Updated raid debuffs for Sanctum of Domination (All difficulties)
    - Updated raid debuffs for Tazavesh, the Veiled Market (Mythic)

5.15.5
FIXES
    - Fix a tooltip lua error

5.14.4
FIXES
    - Fix microbar lua error

5.14.3
FIXES
    - Fix stancebar issue
    - Fix group layout

5.14.2
FIXES
    - Fix buff layout issue

5.14.1
FIXES
    - Fix a group layout issue

5.14.0
NEW
    - Make stancebar movable and let you choose the grow direction
    - Added option to override addon conflict behaivor
    - Ctrl. + click the countdown button (raid control) to trigger the dbm pull timer

FIXES
    - Fix taint issue in pet battle

5.13.4
FIXES
    - Fix interaction with Dominos
    - Totem fram is now shown with player frame in target frame style

5.13.3
FIXES
    - Raid styled party frames now working as intended

5.13.2
FIXES
    - Partyframes: Debuff stacks > 9 are now display correctly

MISC
    - Partyframes: Make buff line margin smaller to show more buffs
    - Added players raid group into player tooltip
    - Make Raid Control secure: Added Worldmakers into that menu
    - Added option to set max shown lines on copy chat frame
    - Added 'Main Tank', 'Main Assist', 'Group Leader' and 'Group Assist' info to raid unit tooltips
    - Some options are now deactivated if conflicting addons are loaded. In the settings you can see which Addons is causing the deactivation.

5.13.1
FIXES
    - Fix an error that raid buffs not disapearing
    - Fix an error with conduits datatext if you havent a soulbind
    - Raise PetBattleFrame so auras are not overlapping them anymore

5.13.0
NEW
    - Added option for important debuffs to target and focus frame

FIXES
    - Fix some lua errors

MISC
    - Code clean up

5.12.1
FIXES
    - Fix target/focus mask overlapping
    - Fix Great Vault micro menu button interaction with dominos

MISC
    - Update locals
    - Code clean up

5.12.0
NEW
    - Added "Great Vault" Button to micromenu
    - Added datatext to gametime (hover the time on minimap)
    - Added datatext to talent micro button

FIXES
    - Fix rare ember court and chatframe lua error
    - Fix some target/foucs overlapping

MISC
    - Remove auto sell junk chat output: Blizzard os doing this now
    - Right click guild micromenu button to invite or whisper guild mebers

5.11.2
FIXES
    - Fix some gossip skin issues
    - Some reputation issues

MISC
    - Update toc

5.11.1
FIXES
    - Some setting dropdowns are not accessible

5.11.0
NEW
    - Added more info to bag and guild micromenu icons

FIXES
    - Fix some gossip skin issues
    - Module buttons are not inactive anymore
    - Fix UTF8 issue if font module is deactivated (for any reason blizzard is not supporting UTF8 if we set a default blizzard font)

5.10.0
NEW
    - Added socket frame skin
    - Added layout and functions to money tooltip (bags)
    - Immersive Questing: Right click to go one gossip back
    - Immersive Questing: Accept quest with space
    - Added worldmap skin
    - Added gossip skin
    - Added itemupgrade skin

FIXES
    - Objective tracker improvments
    - Focus frame invert is now working
    - Fix auto repair

5.9.1
FIXES
    - Torghast tooltip issue
    - Fix M+ timer overlapping (Thanks to Sethos)

5.9.0
NEW
    - Added "player frame in target frame style"
    - Immersive Questing: Trigger "Next Gossip" with space
    - Show cooldowns at bags and character correct by using our own cooldown system
    - Added toggle for player PvP indicator
    - Added "World Quest Addon"-Skin (embedded into objectives tracker)
    - Added option to invert target/focus frame
    - Immersive Questing: Now works with auto accepting quest addons like AAP
    - Added Ember Court to the objectives tracker (Big thanks to Belazor for all the testing)
    - Added Credits

FIXES
    - Update "Raid Debuffs"
    - Guild auto repair if not in guild
    - Gamemenu fixes to better interact with ElvUI
    - Immersive Questing: "Ignore"-Button now only shows if applicable

5.8.0
NEW
    - Added Talent Set Manager support (button on hero panel)
    - Button flyout direction is based on actionbar screen position

FIXES
    - Fix castbar latency issue
    - Fix rested expbar issue
    - Fix inactive factions listed under classic and others
    - Fix Postal skin issue
    - Update "Raid Debuffs"
    - Possible fix for chatframe floating max error

5.7.5
FIXES
    - Fix chatframe fade
    - Update party portraits correctly
    - Fix arena headers
    - Fix keybind slash command
    - Fix arena prep frames overlaps with quests

5.7.4
FIXES
    - Fix some castbar issues
    - Fix some mirrottimer issues

5.7.2
FIXES
    - Fix scrolling in dropdown settings

5.7.1
FIXES
    - Fix hero panel icon border if Mail skin is disabled

5.7.0
NEW
    - Dropdown in GW2 Settings have now scrolling
    - "Important Raid & Dungeon" Debuffs can now be disable/enabled per debuffs
    - Added ingame notification if a new addon update is available (icon at the micromenu)
    - Added missing types at GW2 floating combat text
    - We now use blizzards heropanel itemslots, that means that now everything can applyed to that buttons and the can be used, if they have "use" attributes

FIXES
    - Fix Minimap button alignments
    - Fix an rare error with reputation ignore
    - Added fallback for moverframes, to prevent profile corruptions
    - Fix dodgebar spell changing, if customs spell is Settings
    - Added any button to the healthglobe

5.6.1
FIXES
    - Fix wrong lib name

5.6.0
NEW
    - Added error handler, so that yo can see in the chat if a error was caused by GW2 UI
    - Added new Torghast scenario typ and its own texture
    - We now use default garrison and calender icons with our textures, that mean that you get all the notifications now
    - Quest Tracker shows now if a quest is failed
    - Added charged combopoints

FIXES
    - Fix missing Exodar reputation background
    - Fix error while profile renaming
    - Fix item level color issue in bags
    - Fix FCT damage number > 10k
    - Adjust quest view position for a number of Shadowlands NPCs
    - Correct battleground headers
    - Now dodgebar is hidden while actionbaroverride
    - Fix some smaller issues

5.5.1
FIXES
    - Fix equipment manager error
    - Fix Torghast floor/level counter mixup


5.5.0
NEW
    - Skinning support for Postal in the mail frame UI (Thanks, Hatdragon)
    - Option to disable map coordinates in both minimap and world map (Thanks, Hatdragon)
    - "Copy Profile" function added
    - Organized, optimized, and cleaned up textures to reduce download size
    - Make Micro Bar movable
    - Update "Important Raid debuffs" with Shadowland ones / remove BfA debuffs
    - Added option to show ID's in tooltips with a modifier
    - Torghast info added to the objective tracker

FIXES
    - Adjust quest view position for a number of Shadowlands NPCs
    - Possible fix for "ZoneabilityContainer"
    - Improved objective notification text formatting: progress values like 2/12 are now kept visible for world and bonus objectives
